---
title: "Download Title Document - JSON"
url: "https://developer.pexa.co.uk/apis/lodgement-v1-v1/versions/5d60a5b6-f880-49a9-9ffa-3fcd91fe7f8f/operations/listTitleDocuments"
---

> Full API specification: https://developer.pexa.co.uk/apis/lodgement-v1-v1/versions/5d60a5b6-f880-49a9-9ffa-3fcd91fe7f8f.md

# Download Title Document - JSON

`GET` `/partner/api/platformconnect/v1/lodgement-cases/{lodgement_case_id}/titles/{title_id}/title-documents`

Operation ID: `listTitleDocuments`

This API is used to download document content in JSON format from an existing workspace

## Path parameters

- `lodgement_case_id` (string, uuid, required) - Lodgement case id
- `title_id` (string, uuid, required) - Title id

## Query parameters

- `document_type` (string, optional) - Title Document Type

## Header parameters

- `X-Request-Correlation-Id` (string, optional)

## Responses

- `200` - OK
- `400` - BAD REQUEST
- `404` - NOT FOUND
- `503` - SERVICE UNAVAILABLE

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Lodgement
  version: v1
servers:
  - url: https://api.pexa.co.uk
    description: API Gateway URL
paths:
  /partner/api/platformconnect/v1/lodgement-cases/{lodgement_case_id}/titles/{title_id}/title-documents:
    get:
      tags:
        - title
      summary: Download Title Document - JSON
      description: This API is used to download document content in JSON format from
        an existing workspace
      operationId: listTitleDocuments
      security:
        - oauth2:
            - view:title_documents
      parameters:
        - in: header
          name: X-Request-Correlation-Id
          schema:
            type: string
            description: The unique identifier for the request
        - name: lodgement_case_id
          in: path
          description: Lodgement case id
          required: true
          schema:
            type: string
            format: uuid
        - name: title_id
          in: path
          description: Title id
          required: true
          schema:
            type: string
            format: uuid
        - name: document_type
          in: query
          description: Title Document Type
          schema:
            type: string
            description: Supported document types in title
            enum:
              - TITLE_REGISTER
              - TITLE_INFORMATION_DOCUMENT
              - EARLY_COMPLETION_TITLE_INFORMATION_DOCUMENT
      responses:
        "200":
          description: OK
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  records:
                    type: array
                    items:
                      type: object
                      properties:
                        titleDocumentId:
                          type: string
                          format: uuid
                          readOnly: true
                        documentType:
                          type: string
                          description: Supported document types in title
                          enum:
                            - TITLE_REGISTER
                            - TITLE_INFORMATION_DOCUMENT
                            - EARLY_COMPLETION_TITLE_INFORMATION_DOCUMENT
                        fileId:
                          type: string
                          format: uuid
                        documentAttributes:
                          type: object
                          properties:
                            propertyAddress:
                              properties:
                                lineOne:
                                  type: string
                                  default: ""
                                  example: Flat 3B
                                lineTwo:
                                  type: string
                                  default: ""
                                  example: SkyView Apartments
                                lineThree:
                                  type: string
                                  default: ""
                                  example: 12, Commercial Street
                                lineFour:
                                  type: string
                                  default: ""
                                  example: Huddersfield
                                lineFive:
                                  type: string
                                  default: ""
                                  example: London
                                postcode:
                                  type: string
                                  default: ""
                                  example: HD2 2WH
                            title:
                              type: object
                              properties:
                                titleNumber:
                                  type: string
                                  example: DN100
                            proprietorship:
                              type: object
                              properties:
                                registeredProprietors:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      individual:
                                        properties:
                                          forenames:
                                            type: string
                                            example: Ann
                                          surname:
                                            type: string
                                            example: Smith
                                      organisation:
                                        properties:
                                          organisationName:
                                            type: string
                                            example: Ltd Company
                                          registrationNumber:
                                            type: string
                                            example: "6473671112"
                                          registeredAddress:
                                            properties:
                                              lineOne:
                                                type: string
                                                default: ""
                                                example: Flat 3B
                                              lineTwo:
                                                type: string
                                                default: ""
                                                example: SkyView Apartments
                                              lineThree:
                                                type: string
                                                default: ""
                                                example: 12, Commercial Street
                                              lineFour:
                                                type: string
                                                default: ""
                                                example: Huddersfield
                                              lineFive:
                                                type: string
                                                default: ""
                                                example: London
                                              postcode:
                                                type: string
                                                default: ""
                                                example: HD2 2WH
                                      addresses:
                                        type: array
                                        items:
                                          properties:
                                            lineOne:
                                              type: string
                                              default: ""
                                              example: Flat 3B
                                            lineTwo:
                                              type: string
                                              default: ""
                                              example: SkyView Apartments
                                            lineThree:
                                              type: string
                                              default: ""
                                              example: 12, Commercial Street
                                            lineFour:
                                              type: string
                                              default: ""
                                              example: Huddersfield
                                            lineFive:
                                              type: string
                                              default: ""
                                              example: London
                                            postcode:
                                              type: string
                                              default: ""
                                              example: HD2 2WH
                            charges:
                              type: array
                              items:
                                type: object
                                properties:
                                  chargeDate:
                                    type: string
                                    format: date
                                    example: 2021-01-30
                                  registrationDate:
                                    type: string
                                    format: date
                                    example: 2021-01-30
                                  chargeeParties:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        organizationName:
                                          type: string
                                          example: Ltd Company
                                        address:
                                          properties:
                                            lineOne:
                                              type: string
                                              default: ""
                                              example: Flat 3B
                                            lineTwo:
                                              type: string
                                              default: ""
                                              example: SkyView Apartments
                                            lineThree:
                                              type: string
                                              default: ""
                                              example: 12, Commercial Street
                                            lineFour:
                                              type: string
                                              default: ""
                                              example: Huddersfield
                                            lineFive:
                                              type: string
                                              default: ""
                                              example: London
                                            postcode:
                                              type: string
                                              default: ""
                                              example: HD2 2WH
                                  additionalDetails:
                                    type: object
                                    properties:
                                      restrictionDetails:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            chargeRestriction:
                                              type: object
                                              properties:
                                                reason:
                                                  type: string
                                                  example: Restriction Reason
                                                chargeParty:
                                                  type: string
                                                  example: Charge Party
                                                chargeDate:
                                                  type: string
                                                  format: date
                                                  example: 2021-01-30
              examples:
                TitleInformationDocumentJson:
                  value:
                    records:
                      - titleDocumentId: 64c95d57-b54d-460f-9a85-ef3612f35a03
                        documentType: TITLE_INFORMATION_DOCUMENT
                        fileId: e24c1119-4f17-4f20-90f9-bcbfa4fdfa03
                        documentAttributes:
                          propertyAddress:
                            lineOne: 36 Lets B Avenue
                            lineTwo: Bodmin
                          title:
                            titleNumber: WK500270
                          proprietorship:
                            registeredProprietors:
                              - individual:
                                  forenames: Sidney
                                  surname: Youngblood
                                addresses:
                                  - lineOne: 5 Cromwell Street
                                    lineTwo: Gloucester
                                    lineThree: Gloucestershire
                                    postcode: GL1 1RE
                          charges:
                            - chargeDate: 2012-05-21
                              registrationDate: 2012-05-22
                              chargeeParties:
                                - organizationName: Abbey National PLC
                                  address:
                                    lineOne: Deeds Services
                                    lineTwo: 101 Midsummer Boulevard
                                    lineThree: Milton Keynes
                                    postcode: MK9 1AA
                              additionalDetails:
                                restrictionDetails:
                                  - chargeRestriction:
                                      reason: "RESTRICTION: No disposition"
                                      chargeParty: Abbey National PLC
                                      chargeDate: 2012-05-21
                  summary: List Title Documents Json Response
        "400":
          description: BAD REQUEST
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - field: document_type
                    message: document_type is not in valid format
                  - field: lodgement_case_id
                    message: lodgement_case_id is not in valid format
        "404":
          description: NOT FOUND
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Not Found
        "503":
          description: SERVICE UNAVAILABLE
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Service under maintenance
security:
  - oauth2:
      - view:title_documents
components:
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://login.pexauk.co.uk/oauth/token
          scopes:
            x-api:create:attachments: Create access to the attachments
            x-api:add:workspace_files: Add access to the workspace files
            view:title_documents: View access to the title documents
            x-api:view:documents: View access to the documents
            x-api:approve:lodgement_applications: Approve access to lodgement applications
            x-api:unapprove:lodgement_applications: Unapprove access to lodgement applications
            x-api:submit:lodgement_applications: Submit access to lodgement applications
            x-api:add:lodgement_titles: Add titles to lodgementCase
            view:lodgement_cases: View lodgement cases
            view:lodgement_documents: View lodgement documents
            add:lodgement_files: Add access to the lodgement files
            view:lodgement_files: View access to the lodgement files
            submit:lodgement_applications: Submit access to the lodgement applications
            view:workspaces: View access to the workspaces
```
